VisualEditor should display formulae using the user's preferred method, not just the default one
Open, LowPublic8 Story Points

Details

Reference
bz60728
bzimport raised the priority of this task from to High.
bzimport set Reference to bz60728.

The title change seems to have repurposed this bug. The original title
VisualEditor: Math formulas don't display correctly after save (until page is reloaded) was a dupe of bug 36060 a dependant of bug 51565.

The current title does not describe current behaviour:

With VisualEditor formulae editing beta feature OFF. Formula are displayed as PNG's and can't be edited.

With VisualEditor formulae editing beta feature ON. Formula are initially displayed as PNG's they can be edited. As soon as they are edited they switch to MathJax display but with very garbled output due to Bug 61497.

  • Bug 64572 has been marked as a duplicate of this bug. ***
Jdforrester-WMF lowered the priority of this task from High to Normal.Jan 9 2015, 10:55 PM
Esanders closed this task as Resolved.Sep 17 2015, 1:42 PM
Esanders claimed this task.
Esanders added a subscriber: Esanders.

MathJax is no longer supported. See T99369

Esanders changed the task status from Resolved to Invalid.Sep 17 2015, 1:51 PM

Sure, but the non-MathJax rendering options are also ignored.

Jdforrester-WMF renamed this task from VisualEditor: Edited formulae display as raw LaTeX inside VisualEditor if user has MathJax switched on to VisualEditor should display formulae using the user's preferred method, not just the default PNG one.Sep 17 2015, 4:23 PM
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF reopened this task as Open.
Jdforrester-WMF lowered the priority of this task from Normal to Low.
Jdforrester-WMF removed Esanders as the assignee of this task.
Jdforrester-WMF added a project: Math.
Jdforrester-WMF set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 4:23 PM
Physikerwelt added a subscriber: Physikerwelt.

At least this should be forward compatible and support the MathML rendering mode... maybe it's not optimal to classify this as "Low" priority.

Jdforrester-WMF moved this task from Freezer to Blocked on the VisualEditor board.Sep 22 2015, 7:22 PM

This is a Parsoid/RESTBase issue. For caching purposes they don't serve different content based on user preferences.

Physikerwelt raised the priority of this task from Low to Normal.Apr 7 2016, 3:31 PM
Physikerwelt moved this task from Incoming to VisualEditor on the Math board.May 26 2016, 4:48 PM
Krinkle removed a subscriber: Krinkle.Jun 2 2016, 7:46 PM
Jdforrester-WMF renamed this task from VisualEditor should display formulae using the user's preferred method, not just the default PNG one to VisualEditor should display formulae using the user's preferred method, not just the default one.Aug 9 2016, 11:06 PM
Jdforrester-WMF lowered the priority of this task from Normal to Low.
Jdforrester-WMF removed Tchanders as the assignee of this task.
Jdforrester-WMF added a subscriber: Tchanders.
Deskana moved this task from Blocked to Freezer on the VisualEditor board.Aug 31 2018, 10:10 AM